### Constructor

# FwupdPlugin MsgpackItem new_float

since: 2.0.0

#### Declaration [src]

    FuMsgpackItem*
    fu_msgpack_item_new_float (
      gdouble value
    )

#### Description [src]

Creates a new msgpack item.

Available since: 2.0.0

#### Parameters

`value`

  Type: `gdouble`

  Floating point value.

#### Return value

Type: `FuMsgpackItem`

A `FuMsgpackItem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.